import { Space, Radio, InputNumber } from 'antd'
import React, { useState, useEffect } from 'react'

interface IRadioGroupIbputProps {
  inputValue: any,
  setInputValue: any,
  placeholder?: string,
  inputProps?: object,
  setRadioValue?: any,
  radioValue?: string
}

//限制或不限制，限制时候输入数量
function RadioGroupInput(props: IRadioGroupIbputProps) {

  //控制限购
  const handleRadio = (e: any) => {
    props.setRadioValue(e.target.value)
  }

  const { radioValue } = props

  return (
    <Space size="middle">
      <Radio.Group
        options={[
          { label: '不限', value: '0' },
          { label: '限制', value: '1' }
        ]}
        onChange={handleRadio}
        value={radioValue}
        optionType="button"
        buttonStyle="solid"
      />
      {radioValue === '1' && (
        <InputNumber
          style={{ width: 200 }}
          placeholder={props.placeholder || '请输入数量'}
          value={props.inputValue}
          onChange={props.setInputValue}
          {...props.inputProps}
        />
      )}
    </Space>
  )
}

export default RadioGroupInput

RadioGroupInput.defaultProps = {
  inputProps: {
    min: 1,
    precision: 0,
    step: 1
  }
}