import styles from './Search.less'
import React from 'react'
import { Row, Col, Form, Input, DatePicker } from 'antd'
import { _minerType } from '@/utils/type';
import moment from 'moment'
const FormItem = Form.Item
const { RangePicker } = DatePicker

interface Iprops {
  formRef: any,
}

export default (props: Iprops) => {

  const { formRef } = props

  return (
    <div className={styles.tableListForm}>
      <Form layout="inline" ref={formRef}>
        <Row gutter={{ md: 8, lg: 24, xl: 48 }} justify="start">
          <Col md={8} sm={24}>
            <FormItem
              label="用户昵称"
              name="nickname"
              rules={[{ required: false, message: '请输入用户昵称' }]}
            >
              <Input placeholder="请输入用户昵称" allowClear />
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="用户id"
              name="tid"
              rules={[{ required: false, message: '请输入用户id' }]}
            >
              <Input placeholder="用户id" allowClear />
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="手机号"
              name="phone"
              rules={[{ required: false, message: '请输入手机号' }]}
            >
              <Input placeholder="手机号" allowClear />
            </FormItem>
          </Col>

          <Col md={16} sm={24}>
            <FormItem
              label="创建时间"
              name="time"
              rules={[{ required: false, message: '请选择创建时间' }]}
            >
              <RangePicker
                showTime={{
                  defaultValue: [
                    moment('00:00:00', 'HH:mm:ss'),
                    moment('23:59:59', 'HH:mm:ss'),
                  ],
                }}
              />
            </FormItem>
          </Col>
        </Row>
      </Form>
    </div>
  )
}
