import styles from './Search.less'
import React from 'react'
import { Row, Col, Form, Select, Input, Badge } from 'antd'
import { _minerType } from '@/utils/type';
// import moment from 'moment'
const FormItem = Form.Item
const Option = Select.Option
// const { RangePicker } = DatePicker

interface Iprops {
  formRef: any,
}

export default (props: Iprops) => {

  const { formRef } = props

  return (
    <div className={styles.tableListForm}>
      <Form layout="inline" ref={formRef}>
        <Row gutter={{ md: 8, lg: 24, xl: 48 }} justify="start">
          <Col md={8} sm={24}>
            <FormItem
              label="矿机名称"
              name="name"
              rules={[{ required: false, message: '请输入矿机名称' }]}
            >
              <Input placeholder="请输入矿机名称" allowClear />
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="类型"
              name="type"
              rules={[{ required: false, message: '请选择类型' }]}
            >
              <Select allowClear placeholder="请选择类型">
                {Object.keys(_minerType).map(key => (
                  <Option key={key} value={key}>{_minerType[key]}</Option>
                ))}
              </Select>
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="状态"
              name="status"
              rules={[{ required: false, message: '请选择状态' }]}
            >
              <Select allowClear placeholder="请选择状态">
                <Option key={0} value={0}>
                  <Badge status="error" text="停用"></Badge>
                </Option>
                <Option key={1} value={1}>
                  <Badge status="success" text="启用"></Badge>
                </Option>
              </Select>
            </FormItem>
          </Col>

          {/* <Col md={16} sm={24}>
            <FormItem
              label="审核时间"
              name="time"
              rules={[{ required: true, message: '请选择审核时间' }]}
            >
              <RangePicker
                showTime={{
                  defaultValue: [
                    moment('00:00:00', 'HH:mm:ss'),
                    moment('23:59:59', 'HH:mm:ss'),
                  ],
                }}
              />
            </FormItem>
          </Col> */}
        </Row>
      </Form>
    </div>
  )
}
