/**
 * 
 * 修改密码
 */
import React, { Component, createRef } from 'react'
import { Modal, Form, Input, Row, Col, notification } from 'antd'
import styles from './ResetPassword.less'
import { updatePwd } from '@/services/user'
import { encryptMd5 } from '@/utils/base'
import { values } from 'lodash'

// 表单响应配置
const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 4 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 18 },
  },
}

class ResetPassword extends Component {
  formRef = createRef()
  constructor(props) {
    super(props)
    this.state = {
      uploading: false,
    }
  }

  onOk = () => {
    console.log('start')
    const { onOk } = this.props
    this.formRef.current.validateFields().then(async (values) => {
      const { pwd, pwdNew } = values
      const _params = {
        phone: this.props.currentUser.phone,
        pwd: encryptMd5(pwd),
        pwdNew: encryptMd5(pwdNew)
      }
      let _code = ''
      const _state = {
        uploading: false
      }
      try {
        this.setState({ uploading: true })
        const { code } = await updatePwd(_params)
        _code = code

      } catch (e) {
        console.log(e)
      }
      this.setState(_state)
      if (_code === 'OK') {
        notification.success({
          message: '修改密码执行成功'
        })
        onOk && onOk()
      }
    })
  }
  render() {
    const { currentUser } = this.props
    const { uploading } = this.state
    return (
      <Modal
        title='修改密码'
        onCancel={this.props.onCancel}
        onOk={this.onOk}
        visible
        okButtonProps={{
          loading: uploading
        }}
      >
        <div className={styles['content-wrap']}>
          <Form ref={this.formRef} {...formItemLayout}>
            <Row className={styles['item-line']}>
              <Col span={4} className={styles['item-line-left']}>手机号:</Col>
              <Col span={18}>{currentUser.phone}</Col>
            </Row>
            <Form.Item
              label='老密码'
              name="pwd"
              rules={[{ required: true, message: '请输入老密码', whitespace: true }]}
            >
              <Input.Password
                placeholder='请输入老密码'
              />
            </Form.Item>
            <Form.Item
              label='新密码'
              name="pwdNew"
              rules={[{ required: true, message: '请输入新密码', whitespace: true }]}
            >
              <Input.Password
                placeholder='请输入新密码'
              />
            </Form.Item>
          </Form>
        </div>
      </Modal>
    )
  }
}
export default ResetPassword
