import React, { Component } from 'react'
import ReactDom, { render } from 'react-dom'
import Content from './ResetPassword'

class Confirm extends Component {
  render () {
    return (
      <Content {...this.props}/>
    )
  }
}
export default (props = {}) => {
  let oDiv = document.createElement('div')
  document.body.appendChild(oDiv)
  const unMoundDom = () => {
    let bool = ReactDom.unmountComponentAtNode(oDiv)
    if (bool) {
      oDiv.parentNode.removeChild(oDiv)
    }
  }
  const onOk = (params) => {
    let cb = props.onOk && props.onOk(params)
    let cbType = Object.prototype.toString.call(cb)
    if (cbType.indexOf('Promise') !== -1) {
      // promise
      return cb
      .then(() => {
        unMoundDom()
      })
    } else {
      unMoundDom()
    }
  }
  const onCancel = () => {
    props.onCancel && props.onCancel()
    unMoundDom()
  }
  const closeBtnFun = () => {
    // 将左上角的x 和取消分开
    if (props.closeBtnFun) {
      unMoundDom()
    } else {
      props.onCancel && props.onCancel()
      unMoundDom()
    }
  }
  render(
    <Confirm
      {...props}
      onOk={onOk}
      onCancel={onCancel}
      closeBtnFun={closeBtnFun}
    />,
    oDiv
  )
}
