import styles from './Search.less'
import React from 'react'
import { Row, Col, Form, Select, Input, Badge } from 'antd'
// import moment from 'moment'
const FormItem = Form.Item
const Option = Select.Option
// const { RangePicker } = DatePicker

interface Iprops {
  formRef: any,
}

export default (props: Iprops) => {

  const { formRef } = props

  return (
    <div className={styles.tableListForm}>
      <Form layout="inline" ref={formRef}>
        <Row gutter={{ md: 8, lg: 24, xl: 48 }} justify="start">
          <Col md={8} sm={24}>
            <FormItem
              label="歌曲名称"
              name="musicName"
              rules={[{ required: false, message: '请输入歌曲名称' }]}
            >
              <Input placeholder="歌曲名称" allowClear />
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="演唱者"
              name="musicSinger"
              rules={[{ required: false, message: '请输入演唱者' }]}
            >
              <Input placeholder="演唱者" />
            </FormItem>
          </Col>

          <Col md={8} sm={24}>
            <FormItem
              label="状态"
              name="shelfStatus"
              rules={[{ required: false, message: '请选择状态' }]}
            >
              <Select allowClear placeholder="请选择状态">
                <Option key={0} value={0}>
                  <Badge status="error" text="下架"></Badge>
                </Option>
                <Option key={1} value={1}>
                  <Badge status="success" text="上架"></Badge>
                </Option>
              </Select>
            </FormItem>
          </Col>

          {/* <Col md={16} sm={24}>
            <FormItem
              label="审核时间"
              name="time"
              rules={[{ required: true, message: '请选择审核时间' }]}
            >
              <RangePicker
                showTime={{
                  defaultValue: [
                    moment('00:00:00', 'HH:mm:ss'),
                    moment('23:59:59', 'HH:mm:ss'),
                  ],
                }}
              />
            </FormItem>
          </Col> */}
        </Row>
      </Form>
    </div>
  )
}
